Bug 847138 - RFE: Add indication that resource tree is loading or expanding
RFE: Add indication that resource tree is loading or expanding
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-08-09 16:34 EDT by Jay Shaughnessy
Modified: 2013-09-01 06:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:04:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-08-09 16:34:52 EDT
When list views are refresh we wee a "Loading..." message while the fetch is being performed.  It would be nice if when the resource tree was updating that we saw something similar.

This has been discussed before but was more formally suggested in bug 784571.
Comment 1 Jay Shaughnessy 2012-08-10 09:29:45 EDT
master commit 6b621264526d1490d423e14e482ff18b3ea2f85f

Replace the default TreeGrid loading message, which was weak and only showed
up briefly at initial tree creation, with more robust loading... message
display when loading, expanding or updating the tree.  This helps situations
where fairly large tree load/updates take place, typically due to large
numbers of siblings or Autogroup creation/manipulation.
Comment 2 Heiko W. Rupp 2013-09-01 06:04:24 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.